/****************************************************************************
    Qt-BSch3V schematic capture
    Copyright (C) 2002-2005 H.Okada

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*****************************************************************************/

#ifndef SHEETSIZE_H
#define SHEETSIZE_H
#include "sheetsize.h"

class sheetsize : public sheetsizeBase
{ 
    Q_OBJECT

public:
    sheetsize( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, Qt::WFlags fl = 0 );
    ~sheetsize();
	int exec();
	void setWidth(int n);
	void setHeight(int n);
	int width(){return m_width;}
	int height(){return m_height;}

protected  slots:
	void accept();

protected:
	int m_width;
	int m_height;
};

#endif // SHEETSIZE_H
